Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
ColorI Class Reference

`#include <color.h>`

## Public Member Functions
| ColorI ()
| ColorI (const ColorI &in_rCopy)
| ColorI (const U8 in_r, const U8 in_g, const U8 in_b, const U8 in_a=U8(255))
| ColorI (const char *pStockColorName)
void | set (const U8 in_r, const U8 in_g, const U8 in_b, const U8 in_a=U8(255))
void | set (const char *pStockColorName)
StringTableEntry | StockColor (void)
ColorI & | operator*= (const F32 in_mul)
ColorI | operator* (const F32 in_mul) const
| operator ColorF () const
| operator const U32 () const
bool | operator== (const ColorI &) const
bool | operator!= (const ColorI &) const
const U8 * | address (void) const
void | interpolate (const ColorI &in_rC1, const ColorI &in_rC2, const F32 in_factor)
U32 | getARGBPack () const
U32 | getRGBAPack () const
U32 | getABGRPack () const
U32 | getBGRPack () const
U32 | getRGBPack () const
U32 | getRGBEndian () const
U32 | getARGBEndian () const
U16 | get565 () const
U16 | get4444 () const
StringTableEntry | stringThis (void) const
const char * | scriptThis (void) const

## Static Public Member Functions
static const ColorI & | StockColor (const char *pStockColorName)

## Public Attributes
U8 | red
U8 | green
U8 | blue
U8 | alpha

## Constructor & Destructor Documentation

ColorI | ( |  | ) |
| inline

ColorI | ( | const ColorI & | in_rCopy | ) |
| inline

ColorI | ( | const U8 | in_r,
|  | const U8 | in_g,
|  | const U8 | in_b,
|  | const U8 | in_a = `U8(255)`
| ) |  |
| inline

ColorI | ( | const char * | pStockColorName | ) |

## Member Function Documentation

const U8* address | ( | void |  | ) | const
| inline

U16 get4444 | ( |  | ) | const
| inline

U16 get565 | ( |  | ) | const
| inline

U32 getABGRPack | ( |  | ) | const
| inline

U32 getARGBEndian | ( |  | ) | const
| inline

U32 getARGBPack | ( |  | ) | const
| inline

U32 getBGRPack | ( |  | ) | const
| inline

U32 getRGBAPack | ( |  | ) | const
| inline

U32 getRGBEndian | ( |  | ) | const
| inline

U32 getRGBPack | ( |  | ) | const
| inline

void interpolate | ( | const ColorI & | in_rC1,
|  | const ColorI & | in_rC2,
|  | const F32 | in_factor
| ) |  |
| inline

operator ColorF | ( |  | ) | const
| inline

operator const U32 | ( |  | ) | const
| inline

bool operator!= | ( | const ColorI & | in_Cmp | ) | const
| inline

ColorI operator* | ( | const F32 | in_mul | ) | const
| inline

ColorI & operator*= | ( | const F32 | in_mul | ) |
| inline

bool operator== | ( | const ColorI & | in_Cmp | ) | const
| inline

const char* scriptThis | ( | void |  | ) | const
| inline

void set | ( | const U8 | in_r,
|  | const U8 | in_g,
|  | const U8 | in_b,
|  | const U8 | in_a = `U8(255)`
| ) |  |
| inline

void set | ( | const char * | pStockColorName | ) |

const ColorI & StockColor | ( | const char * | pStockColorName | ) |
| static

StringTableEntry StockColor | ( | void |  | ) |

StringTableEntry stringThis | ( | void |  | ) | const
| inline

## Member Data Documentation

U8 alpha

U8 blue

U8 green

U8 red

The documentation for this class was generated from the following files:

- graphics/color.h
- graphics/color.cc